<?php
// $Id: template.php,v 1.35.2.5 2009/10/14 12:24:28 mverbaar Exp $

/**
 * @file
 * Implements various theme-related customisations and template preprocessors.
 */

/**
 * Override or insert variables into the page template.
 */
function inkribbon_preprocess_page(&$vars) {
  // Add CSS files for right-to-left languages.
  if ($vars['language']->dir == 'rtl') {
    $path_to_theme = drupal_get_path('theme', 'inkribbon');
    drupal_add_css($path_to_theme . '/system-rtl.css', 'theme');
    drupal_add_css($path_to_theme . '/defaults-rtl.css', 'theme');
    drupal_add_css($path_to_theme . '/system-menus-rtl.css', 'theme');
    $vars['styles'] = drupal_get_css();
  }
}
